> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Update report template 1

> PUT /project/{projectId}/report-templates/{reportTemplateId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **reportTemplateId** (integer(int64))



### Body: application/json (object)

- **isArchived** (boolean)

- **reportVersion** (string)

- **reportConfig** (string)

- **reportLayout** (string)

- **name** (string)

- **id** (integer(int64))

- **description** (string)

- **projectId** (integer(int64))

- **outputType** (string)

- **createdByUserId** (string(uuid))

- **reportType** (string)



## Responses
### 200
OK

#### Body: */* (object)
- **isArchived** (boolean)

- **reportVersion** (string)

- **reportConfig** (string)

- **reportLayout** (string)

- **name** (string)

- **id** (integer(int64))

- **description** (string)

- **projectId** (integer(int64))

- **outputType** (string)

- **createdByUserId** (string(uuid))

- **reportType** (string)



[Powered by Bump.sh](https://bump.sh)
